package com.ama.core.network.model


interface BaseNetworkModel<T> {
    /**
     * 是否规则（公司内的，可能会有多个）成功
     */
    fun isRuleSuccess(): Boolean

    /**
     * 网络返回的码
     */
    fun code(): Int?

    /**
     * 网络返回的消息
     */
    fun message(): String?

    /**
     * 网络返回的数据
     */
    fun data(): T?
}